Bug 1168564 - UI: Unable to save a dashboard change after moving a widget to a different spot
Summary: UI: Unable to save a dashboard change after moving a widget to a different spot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.3.2
Assignee: Dan Clarizio
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1167308
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-27 10:13 UTC by Milan Zázrivec
Modified: 2015-03-23 16:17 UTC (History)
4 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1167308
Environment:
Last Closed: 2015-01-14 19:43:59 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 2 CFME Bot 2014-11-27 10:20:58 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=377c48ae95707e2ef2e06554c5760738f5bc06c8

commit 377c48ae95707e2ef2e06554c5760738f5bc06c8
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Tue Nov 25 11:45:03 2014 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Nov 27 11:16:00 2014 +0100

    Add missing post route for dashboard widget move
    
    This is to fix the following error:
    
    ActionController::RoutingError (No route matches [POST]
    "/report/db_widget_dd_done")
    ...
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1168564
    (cherry picked from commit c5a70aa0a9455acb789f824d7060ee4c35c7430f)

 vmdb/config/routes.rb                    | 1 +
 vmdb/spec/routing/report_routing_spec.rb | 4 ++++
 2 files changed, 5 insertions(+)

Comment 4 Nandini Chandra 2014-12-22 21:03:20 UTC
Verified in 5.3.2.5.

Comment 6 errata-xmlrpc 2015-01-14 19:43:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.